Subject: Calvert City Presentation of Issues
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 23 Jan 2001 12:52:00 -0800 (PST)

Charles:

It was good to catch up with you today regarding our development project in 
Haywood County, and the current state of affairs on our Calvert City project. 
Any information you have regarding the board decision on TVA's Lagoon Creek 
project expansion would be appreciated. I've also attached for your review 
some materials I will provide Terry Boston in our meeting scheduled for 
tomorrow at 8:30 AM.

I will call you tomorrow after the meeting as you suggested.

Thanks again for all your help.

Regards,

Ben